Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Interface SOAPFault

All Superinterfaces:
  Node, SOAPBodyElement, SOAPElement

All Known Implementing Classes:
  SOAPFault

public interface SOAPFault
extends SOAPBodyElement

An element in the `SOAPBody` object that contains error and/or status information. This information may relate to errors in the `SOAPMessage` object or to problems that are not related to the content in the message itself. Problems not related to the message itself are generally errors in processing, such as the inability to communicate with an upstream server.

The `SOAPFault` interface provides methods for retrieving the information contained in a `SOAPFault` object and for setting the fault code, the fault actor, and a string describing the fault. A fault code is one of the codes defined in the SOAP 1.1 specification that describe the fault. An actor is an intermediate recipient to whom a message was routed. The message path may include one or more actors, or, if no actors are specified, the message goes only to the default actor, which is the final intended recipient.

Method Summary
`Detail` | `addDetail()` Creates a `Detail` object and sets it as the `Detail` object for this `SOAPFault` object.
`Detail` | `getDetail()` Returns the detail element for this `SOAPFault` object.
`java.lang.String` | `getFaultActor()` Gets the fault actor for this `SOAPFault` object.
`java.lang.String` | `getFaultCode()` Gets the fault code for this `SOAPFault` object.
`java.lang.String` | `getFaultString()` Gets the fault string for this `SOAPFault` object.
`void` | `setFaultActor(java.lang.String faultActor)` Sets this `SOAPFault` object with the given fault actor.
`void` | `setFaultCode(java.lang.String faultCode)` Sets this `SOAPFault` object with the given fault code.
`void` | `setFaultString(java.lang.String faultString)` Sets the fault string for this `SOAPFault` object to the given string.

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement`

Method Detail

### setFaultCode

    public void setFaultCode(java.lang.String faultCode)
                      throws SOAPException

  Sets this `SOAPFault` object with the given fault code.

  Fault codes, which given information about the fault, are defined in the SOAP 1.1 specification.

  Parameters:
    `faultCode` - a `String` giving the fault code to be set; must be one of the fault codes defined in the SOAP 1.1 specification
  Throws:
    `SOAPException` - if there was an error in adding the `faultCode` to the underlying XML tree.
  See Also:
    `getFaultCode()`

### getFaultCode

    public java.lang.String getFaultCode()

  Gets the fault code for this `SOAPFault` object.
  Returns:
    a `String` with the fault code
  See Also:
    `setFaultCode(java.lang.String)`

### setFaultActor

    public void setFaultActor(java.lang.String faultActor)
                       throws SOAPException

  Sets this `SOAPFault` object with the given fault actor.

  The fault actor is the recipient in the message path who caused the fault to happen.

  Parameters:
    `faultActor` - a `String` identifying the actor that caused this `SOAPFault` object
  Throws:
    `SOAPException` - if there was an error in adding the `faultActor` to the underlying XML tree.
  See Also:
    `getFaultActor()`

### getFaultActor

    public java.lang.String getFaultActor()

  Gets the fault actor for this `SOAPFault` object.
  Returns:
    a `String` giving the actor in the message path that caused this `SOAPFault` object
  See Also:
    `setFaultActor(java.lang.String)`

### setFaultString

    public void setFaultString(java.lang.String faultString)
                        throws SOAPException

  Sets the fault string for this `SOAPFault` object to the given string.
  Parameters:
    `faultString` - a `String` giving an explanation of the fault
  Throws:
    `SOAPException` - if there was an error in adding the `faultString` to the underlying XML tree.
  See Also:
    `getFaultString()`

### getFaultString

    public java.lang.String getFaultString()

  Gets the fault string for this `SOAPFault` object.
  Returns:
    a `String` giving an explanation of the fault

### getDetail

    public Detail getDetail()

  Returns the detail element for this `SOAPFault` object.

  A `Detail` object carries application-specific error information related to `SOAPBodyElement` objects.

  Returns:
    a `Detail` object with application-specific error information

### addDetail

    public Detail addDetail()
                     throws SOAPException

  Creates a `Detail` object and sets it as the `Detail` object for this `SOAPFault` object.

  It is illegal to add a detail when the fault already contains a detail. Therefore, this method should be called only after the existing detail has been removed.

  Returns:
    the new `Detail` object
  Throws:
    `SOAPException` - if this `SOAPFault` object already contains a valid `Detail` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.